Update installation facts
curl --request PUT \
--url https://galinum.com/api/v1/sdk/installations/{installationId}/facts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Galinum-Installation-Capability: <api-key>' \
--data '
{
"requestId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
}
}
'import requests
url = "https://galinum.com/api/v1/sdk/installations/{installationId}/facts"
payload = {
"requestId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"consent": True,
"capabilities": {
"actions": ["<string>"],
"channels": ["<string>"],
"richImages": True,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"X-Galinum-Installation-Capability": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Galinum-Installation-Capability': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
requestId: '<string>',
bindingGeneration: 4503599627370495,
revision: 4503599627370495,
consent: true,
capabilities: {
actions: ['<string>'],
channels: ['<string>'],
richImages: true,
categories: [{id: '<string>', actions: [{id: '<string>', title: '<string>'}]}]
}
})
};
fetch('https://galinum.com/api/v1/sdk/installations/{installationId}/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/sdk/installations/{installationId}/facts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'requestId' => '<string>',
'bindingGeneration' => 4503599627370495,
'revision' => 4503599627370495,
'consent' => true,
'capabilities' => [
'actions' => [
'<string>'
],
'channels' => [
'<string>'
],
'richImages' => true,
'categories' => [
[
'id' => '<string>',
'actions' => [
[
'id' => '<string>',
'title' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Galinum-Installation-Capability: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/sdk/installations/{installationId}/facts"
payload := strings.NewReader("{\n \"requestId\": \"<string>\",\n \"bindingGeneration\": 4503599627370495,\n \"revision\": 4503599627370495,\n \"consent\": true,\n \"capabilities\": {\n \"actions\": [\n \"<string>\"\n ],\n \"channels\": [\n \"<string>\"\n ],\n \"richImages\": true,\n \"categories\": [\n {\n \"id\": \"<string>\",\n \"actions\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Galinum-Installation-Capability", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://galinum.com/api/v1/sdk/installations/{installationId}/facts")
.header("Authorization", "Bearer <token>")
.header("X-Galinum-Installation-Capability", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"requestId\": \"<string>\",\n \"bindingGeneration\": 4503599627370495,\n \"revision\": 4503599627370495,\n \"consent\": true,\n \"capabilities\": {\n \"actions\": [\n \"<string>\"\n ],\n \"channels\": [\n \"<string>\"\n ],\n \"richImages\": true,\n \"categories\": [\n {\n \"id\": \"<string>\",\n \"actions\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/sdk/installations/{installationId}/facts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Galinum-Installation-Capability"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"requestId\": \"<string>\",\n \"bindingGeneration\": 4503599627370495,\n \"revision\": 4503599627370495,\n \"consent\": true,\n \"capabilities\": {\n \"actions\": [\n \"<string>\"\n ],\n \"channels\": [\n \"<string>\"\n ],\n \"richImages\": true,\n \"categories\": [\n {\n \"id\": \"<string>\",\n \"actions\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\"\n }\n ]\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"installation": {
"id": "<string>",
"appId": "<string>",
"platform": "ios",
"environment": "development",
"userId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"tokenRevision": 4503599627370495,
"hasToken": true,
"permission": "unknown",
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
},
"lastActiveAt": 1,
"createdAt": 4503599627370495
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Installations
Update installation facts
Installation mutations retain their original acknowledgement for the latest 128 successful mutations per installation. Replays do not extend retention. After eviction, an original stale-revision request returns 409 without reapplying. Use GET installation state for current state.
PUT
/
api
/
v1
/
sdk
/
installations
/
{installationId}
/
facts
Update installation facts
curl --request PUT \
--url https://galinum.com/api/v1/sdk/installations/{installationId}/facts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Galinum-Installation-Capability: <api-key>' \
--data '
{
"requestId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
}
}
'import requests
url = "https://galinum.com/api/v1/sdk/installations/{installationId}/facts"
payload = {
"requestId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"consent": True,
"capabilities": {
"actions": ["<string>"],
"channels": ["<string>"],
"richImages": True,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"X-Galinum-Installation-Capability": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Galinum-Installation-Capability': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
requestId: '<string>',
bindingGeneration: 4503599627370495,
revision: 4503599627370495,
consent: true,
capabilities: {
actions: ['<string>'],
channels: ['<string>'],
richImages: true,
categories: [{id: '<string>', actions: [{id: '<string>', title: '<string>'}]}]
}
})
};
fetch('https://galinum.com/api/v1/sdk/installations/{installationId}/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/sdk/installations/{installationId}/facts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'requestId' => '<string>',
'bindingGeneration' => 4503599627370495,
'revision' => 4503599627370495,
'consent' => true,
'capabilities' => [
'actions' => [
'<string>'
],
'channels' => [
'<string>'
],
'richImages' => true,
'categories' => [
[
'id' => '<string>',
'actions' => [
[
'id' => '<string>',
'title' => '<string>'
]
]
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Galinum-Installation-Capability: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/sdk/installations/{installationId}/facts"
payload := strings.NewReader("{\n \"requestId\": \"<string>\",\n \"bindingGeneration\": 4503599627370495,\n \"revision\": 4503599627370495,\n \"consent\": true,\n \"capabilities\": {\n \"actions\": [\n \"<string>\"\n ],\n \"channels\": [\n \"<string>\"\n ],\n \"richImages\": true,\n \"categories\": [\n {\n \"id\": \"<string>\",\n \"actions\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Galinum-Installation-Capability", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://galinum.com/api/v1/sdk/installations/{installationId}/facts")
.header("Authorization", "Bearer <token>")
.header("X-Galinum-Installation-Capability", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"requestId\": \"<string>\",\n \"bindingGeneration\": 4503599627370495,\n \"revision\": 4503599627370495,\n \"consent\": true,\n \"capabilities\": {\n \"actions\": [\n \"<string>\"\n ],\n \"channels\": [\n \"<string>\"\n ],\n \"richImages\": true,\n \"categories\": [\n {\n \"id\": \"<string>\",\n \"actions\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\"\n }\n ]\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/sdk/installations/{installationId}/facts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Galinum-Installation-Capability"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"requestId\": \"<string>\",\n \"bindingGeneration\": 4503599627370495,\n \"revision\": 4503599627370495,\n \"consent\": true,\n \"capabilities\": {\n \"actions\": [\n \"<string>\"\n ],\n \"channels\": [\n \"<string>\"\n ],\n \"richImages\": true,\n \"categories\": [\n {\n \"id\": \"<string>\",\n \"actions\": [\n {\n \"id\": \"<string>\",\n \"title\": \"<string>\"\n }\n ]\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"installation": {
"id": "<string>",
"appId": "<string>",
"platform": "ios",
"environment": "development",
"userId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"tokenRevision": 4503599627370495,
"hasToken": true,
"permission": "unknown",
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
},
"lastActiveAt": 1,
"createdAt": 4503599627370495
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Your project's publishable key (pk_pub_…). Safe to expose in the browser — it identifies the project and is rate-limited, not secret.
Locally generated installation capability. Required with the project publishable key for installation reads and mutations.
Path Parameters
Required string length:
1 - 128Body
application/json
Encoded JSON body limit: 262144 bytes (256 KiB), including JSON escapes and whitespace.
Required string length:
1 - 128Required range:
0 <= x <= 9007199254740991Required range:
0 <= x <= 9007199254740991Available options:
unknown, not_determined, denied, provisional, granted Show child attributes
Show child attributes
Response
Current installation state or replayed acknowledgement.
Show child attributes
Show child attributes